#
# File: FindGlobalPlatform.cmake
#
# Date: Wed Apr 12 13:52:00 EST 2017
# Author: manuel.arguelles
#
# Copyright 2017 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#
# Try to find globalplatform library
# Once done this will define
#
# GLOBALPLATFORM_FOUND        - True if globalplatform was found
# GLOBALPLATFORM_INCLUDE_DIRS - Location of globalplatform headers
# GLOBALPLATFORM_LIBRARIES    - List of ibraries to use globalplatform

INCLUDE (FindPackageHandleStandardArgs)

FIND_PACKAGE (PkgConfig QUIET)

PKG_CHECK_MODULES (PC_GLOBALPLATFORM QUIET globalplatform)

FIND_PATH (
  GLOBALPLATFORM_INCLUDE_DIRS
  NAMES globalplatform/globalplatform.h
  HINTS
  $ENV{GLOBALPLATFORM_PREFIX}/include
  ${PC_GLOBALPLATFORM}
  ${PC_GLOBALPLATFORM_INCLUDE_DIRS}
  CMAKE_FIND_ROOT_PATH_BOTH
  )

FIND_LIBRARY (
  GLOBALPLATFORM_LIBRARIES
  NAME globalplatform
  HINTS
  $ENV{GLOBALPLATFORM_PREFIX}/lib
  ${PC_GLOBALPLATFORM_LIBDIR}
  ${PC_GLOBALPLATFORM_LIBRARY_DIRS}
  CMAKE_FIND_ROOT_PATH_BOTH
  )

FIND_PACKAGE_HANDLE_STANDARD_ARGS (
  GLOBALPLATFORM
  REQUIRED_VARS GLOBALPLATFORM_LIBRARIES GLOBALPLATFORM_INCLUDE_DIRS
  VERSION_VAR PC_GLOBALPLATFORM_VERSION
  )

MARK_AS_ADVANCED (GLOBALPLATFORM_LIBRARIES GLOBALPLATFORM_INCLUDE_DIRS)
