#
# File: FindLibQREncode.cmake
#
# Date: Wed Apr 12 13:52:00 EST 2017
# Author: manuel.arguelles
#
# Copyright 2017 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#
# Try to find libqrencode library
# Once done this will define
#
# LIBQRENCODE_FOUND        - True if libqrencode was found
# LIBQRENCODE_INCLUDE_DIRS - Location of libqrencode headers
# LIBQRENCODE_LIBRARIES    - List of ibraries to use libqrencode

INCLUDE (FindPackageHandleStandardArgs)

FIND_PACKAGE (PkgConfig QUIET)

PKG_CHECK_MODULES (PC_LIBQRENCODE QUIET libqrencode)

FIND_PATH (
  LIBQRENCODE_INCLUDE_DIRS
  NAMES qrencode.h
  HINTS ${PC_LIBQRENCODE} ${PC_LIBQRENCODE_INCLUDE_DIRS}
  )

FIND_LIBRARY (
  LIBQRENCODE_LIBRARIES
  NAME qrencode
  HINTS ${PC_LIBQRENCODE_LIBDIR} ${PC_LIBQRENCODE_LIBRARY_DIRS}
  )

FIND_PACKAGE_HANDLE_STANDARD_ARGS (
  LIBQRENCODE
  REQUIRED_VARS LIBQRENCODE_LIBRARIES LIBQRENCODE_INCLUDE_DIRS
  VERSION_VAR PC_LIBQRENCODE_VERSION
  )

MARK_AS_ADVANCED (LIBQRENCODE_LIBRARIES LIBQRENCODE_INCLUDE_DIRS)
