#
# File: FindLog4cxx.cmake
#
# Date: Mon Dic 15 12:00:00 EST 2012
# Author: alejandro.claro
#
# Copyright 2012 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#
# Try to find log4cxx library
# Once done this will define
#
# LOG4CXX_FOUND        - system has liblog4cxx
# LOG4CXX_INCLUDE_DIRS - the liblog4cxx include directory
# LOG4CXX_LIBRARIES    - liblog4cxx library
#

INCLUDE (FindPackageHandleStandardArgs)

FIND_PATH (LOG4CXX_INCLUDE_DIRS logger.h PATHS /usr/include/log4cxx /usr/local/include/log4cxx)
FIND_LIBRARY (LOG4CXX_LIBRARIES NAMES log4cxx)

IF(LOG4CXX_INCLUDE_DIRS AND LOG4CXX_LIBRARIES)

  #remove last /log4cxx string
  STRING (REGEX REPLACE "/log4cxx" "" LOG4CXX_INCLUDE_DIR_SUP_LEVEL ${LOG4CXX_INCLUDE_DIRS})
  SET (LOG4CXX_INCLUDE_DIRS ${LOG4CXX_INCLUDE_DIR_SUP_LEVEL} ${LOG4CXX_INCLUDE_DIRS})

ENDIF ()

FIND_PACKAGE_HANDLE_STANDARD_ARGS (Log4cxx REQUIRED_VARS LOG4CXX_LIBRARIES LOG4CXX_INCLUDE_DIRS)

MARK_AS_ADVANCED (LOG4CXX_LIBRARIES LOG4CXX_INCLUDE_DIRS)
