#
# File: Findgiomm.cmake
#
# Date: Fri Jan 03 12:00:00 EST 2017
# Author: gustavo.garcia
#
# Copyright 2012 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#
# Try to find giomm library
# It sets the following variables:
#
#  giomm_INCLUDE_DIR        - The giomm include directory.
#  giomm_config_INCLUDE_DIR - The giomm configuration include directory.
#  giomm_LIBRARY            - The giomm library to link against.
#

INCLUDE (FindPackageHandleStandardArgs)

#use pkg-config
FIND_PACKAGE(PkgConfig)
PKG_CHECK_MODULES(PC_GIOMM giomm-2.4)

FIND_PATH(
  giomm_INCLUDE_DIR
  NAMES giomm.h
  HINTS ${PC_GIOMM_INCLUDEDIR} ${PC_GIOMM_INCLUDE_DIRS})

FIND_LIBRARY(
  giomm_LIBRARY
  NAMES giomm-2.4
  HINTS ${PC_GIOMM_LIBDIR} ${PC_GIOMM_LIBRARY_DIRS})

SET(
  giomm_LIBRARIES
  ${giomm_LIBRARY}
  ${PC_GIOMM_PKGCONF_LIBRARIES})

SET(
  giomm_INCLUDE_DIRS
  ${giomm_INCLUDE_DIR}
  ${PC_GIOMM_PKGCONF_INCLUDE_DIRS})

FIND_PACKAGE_HANDLE_STANDARD_ARGS(giomm REQUIRED_VARS giomm_LIBRARY giomm_INCLUDE_DIR)
MARK_AS_ADVANCED(giomm_INCLUDE_DIR giomm_LIBRARY)

