#
# File: Findglib.cmake
#
# Date: Fri Jan 03 12:00:00 EST 2017
# Author: gustavo.garcia
#
# Copyright 2012 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#
# Try to find CppUnit library
# It sets the following variables:
#
#  glib_INCLUDE_DIR            - Glib include directory.
#  glib_config_INCLUDE_DIR     - Glib library to link against.
#

INCLUDE (FindPackageHandleStandardArgs)
FIND_PACKAGE(PkgConfig)
PKG_CHECK_MODULES(PC_GLIB glib-2.0)

FIND_PATH(
  glib_INCLUDE_DIR
  NAMES glib.h
  HINTS ${PC_GLIB_INCLUDEDIR} ${PC_GLIB_INCLUDE_DIRS}
)
FIND_PATH(
  glib_config_INCLUDE_DIR
  NAMES glibconfig.h
  HINTS ${PC_GLIB_INCLUDEDIR} ${PC_GLIB_INCLUDE_DIRS}
)

FIND_LIBRARY(
  glib_LIBRARY
  NAMES glib glib-2.0 gthread-2.0
  HINTS ${PC_GLIB_LIBDIR} ${PC_GLIB_LIBRARY_DIRS}
)

FIND_LIBRARY (
  LIBGTHREAD_LIBRARY
  NAMES gthread-2.0
  PATHS
    /lib
    /usr/lib
    /usr/local/lib
)

SET(glib_LIBRARIES ${glib_LIBRARY} ${PC_GLIB_PKGCONF_LIBRARIES} ${LIBGTHREAD_LIBRARY})
SET(glib_INCLUDE_DIRS ${glib_INCLUDE_DIR} ${glib_config_INCLUDE_DIR} ${PC_GLIB_PKGCONF_INCLUDE_DIRS})

INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(glib DEFAULT_MSG glib_LIBRARY glib_INCLUDE_DIR)

MARK_AS_ADVANCED(glib_INCLUDE_DIR glib_config_INCLUDE_DIR glib_LIBRARY)
