#
# GenerateClases support with xsdcxx
# To use: INCLUDE(GenerateClasses)
#
# Date: Tue 23 feb 2017 11:10:28 COT
# Author: gustavo.garcia
#===================================================================
# Macros:
# XSD_GEN_CLASSES (OUTPUTDIR XSDFLAGS XSDFILES)
#-------------------------------------------------------------------

INCLUDE(CMakeParseArguments)

MACRO (XSD_GEN_CLASSES)
  SET (options)
  SET (oneValueArgs OUTPUTDIR)
  SET (multiValueArgs XSDFLAGS XSDFILES )
  SET (GUARDPREFIX "/src/XSDTemplates")
  CMAKE_PARSE_ARGUMENTS (XSD_GEN_CLASSES "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN} )

  FIND_PROGRAM (XSDCXX "xsdcxx")
  IF (NOT XSDCXX)
    MESSAGE (FATAL_ERROR "xsdcxx not found!")
  ENDIF ()

  SET (XSD_COMMON_FLAGS --char-type char --show-sloc --generate-serialization --generate-default-ctor --generate-comparison --generate-doxygen --type-naming ucc --function-naming java)
  EXECUTE_PROCESS (
    COMMAND ${XSDCXX} cxx-tree --output-dir ${XSD_GEN_CLASSES_OUTPUTDIR} ${XSD_COMMON_FLAGS} ${XSD_GEN_CLASSES_XSDFLAGS}
    --file-list configuration-list
    --guard-prefix ${GUARDPREFIX}
    ${XSD_GEN_CLASSES_XSDFILES}
  )
ENDMACRO ()

MACRO (XSD_GEN_CLASSES_NO_CMP)
  SET (options)
  SET (oneValueArgs OUTPUTDIR)
  SET (multiValueArgs XSDFLAGS XSDFILES )
  SET (GUARDPREFIX "/src/XSDTemplates")
  CMAKE_PARSE_ARGUMENTS (XSD_GEN_CLASSES "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN} )

  FIND_PROGRAM (XSDCXX "xsdcxx")
  IF (NOT XSDCXX)
    MESSAGE (FATAL_ERROR "xsdcxx not found!")
  ENDIF ()

  SET (XSD_COMMON_FLAGS --char-type char --show-sloc --generate-serialization --generate-default-ctor --generate-doxygen --type-naming ucc --function-naming java)
  EXECUTE_PROCESS (
    COMMAND ${XSDCXX} cxx-tree --output-dir ${XSD_GEN_CLASSES_OUTPUTDIR} ${XSD_COMMON_FLAGS} ${XSD_GEN_CLASSES_XSDFLAGS}
    --file-list configuration-list
    --guard-prefix ${GUARDPREFIX}
    ${XSD_GEN_CLASSES_XSDFILES}
  )
ENDMACRO ()
