#!/bin/bash 


die ()
{
    echo $1
    exit 1
}

gpshell_execute ()
{
  echo "$GPSHELL_SCRIPT" | gpshell
}

usage ()
{
  echo "usage:"
  echo "  $0 security_level_{ CLEAR | MAC | MAC_ENC} secure_channel_{ enabled | disabled }"
}

if [ "$1" = "security_level_CLEAR" ]
then
  SEC_LEVEL="0"
elif [ "$1" = "security_level_MAC" ]
then
  SEC_LEVEL="1"
elif [ "$1" = "security_level_MAC_ENC" ]
then
  SEC_LEVEL="3"
else
  usage
  die
fi

if [ "$2" = "secure_channel_enabled" ]
then
  SEC_ENABLED="1"
elif [ "$2" = "secure_channel_disabled" ]
then
  SEC_ENABLED="0"
else
  usage
  die
fi

GPSHELL_SCRIPT=\
"mode_211
enable_trace
enable_timer
establish_context
card_connect

select -AID F00000006203010C0101
open_sc -security $SEC_LEVEL -keyind 0 -keyver 0 -scp 2 -scpimpl 21 -mac_key 404142434445464748494a4b4c4d4e4f -enc_key 404142434445464748494a4b4c4d4e4f // Open secure channel

send_apdu -sc $SEC_ENABLED -APDU 80F1000008333372631415569701                      // verify global pin
send_apdu -sc $SEC_ENABLED -APDU 80F30000080706050404020100                        // set password pin
send_apdu -sc $SEC_ENABLED -APDU 80F2000008070605040402010001                      // verify password pin
send_apdu -sc $SEC_ENABLED -APDU 80F4000008                                        // get password pin
send_apdu -sc $SEC_ENABLED -APDU 80F50000080202020202020203                        // set password
send_apdu -sc $SEC_ENABLED -APDU 80F6000008                                        // get password
send_apdu -sc $SEC_ENABLED -APDU 80F70100                                          // open
send_apdu -sc $SEC_ENABLED -APDU 80F702000F82f4bc51280843f063e1a01eec13ab          // write
send_apdu -sc $SEC_ENABLED -APDU 80F702010Ff01250fbb2d15b3dff72a09195bd1b          // write
send_apdu -sc $SEC_ENABLED -APDU 80F8010002
send_apdu -sc $SEC_ENABLED -APDU 80F8000011
send_apdu -sc $SEC_ENABLED -APDU 80F8000011
send_apdu -sc $SEC_ENABLED -APDU 80F8000002
send_apdu -sc $SEC_ENABLED -APDU 80F8010020

card_disconnect
release_context"

######################################
#  Test
######################################

gpshell_execute


